# Changelog

## 2024-08-24 - 1.2.1 - fix(Assertion)
Refactor methods for setting failure and success messages

- Renamed 'withFailMessage' to 'setFailMessage' for better readability and consistency.
- Renamed 'withSuccessMessage' to 'setSuccessMessage' to align with the naming convention.

## 2024-08-24 - 1.2.0 - feat(assertions)
Add custom fail and success messages for assertions

- Implemented withFailMessage method in Assertion class to customize fail messages
- Implemented withSuccessMessage method in Assertion class to customize success messages
- Enhanced error messages to use custom fail messages when provided

## 2024-08-17 - 1.1.0 - feat(assertion)
Add toBeDefined assertion method

- Added the toBeDefined method to the Assertion class for checking if an object is defined

## 2024-05-29 - 1.0.21 - General Updates
General updates and maintenance.

- Updated description
- Updated tsconfig
- Updated npmextra.json: githost

## 2023-08-12 - 1.0.20 to 1.0.21 - General Fixes
General fixes and update.

- Fixed core updates (multiple instances)
- 1.0.21 release

## 2023-07-10 - 1.0.15 - Organization Update
- Switched to new org scheme

## 2023-06-22 - 1.0.14 to 1.0.19 - General Updates
General fixes and updates.

- Fixed core updates (multiple instances)
- 1.0.18 to 1.0.16 releases

## 2022-02-02 - 1.0.8 to 1.0.13 - General Fixes
General fixes and update.

- Fixed core updates (multiple instances)
- 1.0.14 release

## 2022-01-20 - 1.0.1 to 1.0.7 - Initial Releases
Initial core updates and fixes.

- Fixed core updates (multiple instances)
- 1.0.7 release